import { jsx } from "react/jsx-runtime";
import { GearFine as GearFine$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GearFine = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "GearFine", ...props, children: /* @__PURE__ */ jsx(GearFine$1, { weight: variant }) });
  }
);
GearFine.displayName = "GearFine";
Object.assign(GearFine, { isGdsIcon: true });
export {
  GearFine
};
